Page MenuHome

Blender crashes when trying to add loopcut with ctrl-r
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: Intel(R) HD Graphics 630 Intel 4.5.0 - Build 25.20.100.6472

Blender Version
Broken: version: 2.81 (sub 2), branch: master, commit date: 2019-08-20 07:45, hash: rBf2cab8267f22
Worked: (optional)

Short description of error
Load the file, go to edit-mode, try to add a loopcut with ctrl-r, blender crashes :-(

Exact steps for others to reproduce the error
See above.

Details

Type
Bug

Event Timeline

here work all fine on linux Blender 2.80 f6cb5f54494e AMD FX8350, 16GB DDR3, GTX690 2+2 GB VRam- Nvidia drivers 435.17 and Blender 2.81Alpha

Update your GPU drivers from Intel support site can solve/mitigate this problem

thnk you

Philipp Oeser (lichtwerk) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Aug 21 2019, 11:15 AM

Could you check if upgrading your drivers fixes the problem? https://downloadcenter.intel.com/product/98909/Intel-HD-Graphics-630

Are other operations crashing as well?

windows 10 , both radeon hd 7600 & intel hd 4000 works fine.

There's no chance to check if a driver's update could fix the crash. I'm working on a laptop that belongs to a big company. Driver's update are done by the administrators.
And yes, other operations (extruding and even selecting a ring of vertices) let blender crash. The same file works perfectly fine under 2.80!

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.Aug 21 2019, 12:37 PM

@Clément Foucault (fclem): does this ring a bell?

@Peter Keis (BlenderPeter) Can you try in software-gl mode (use blender-softwaregl to launch blender)?

@Clément Foucault (fclem)
I'm starting blender with a double-click on "blender.exe" in the windows explorer. Can you please tell me how to start blender with the softwaregl option?

@Peter Keis (BlenderPeter) :
On MS-Windows: Download this dll and copy it so its located in the same directory as 'blender.exe' and run Blender normally.
(remember to remove it after the test)
This will run blender with Software OpenGL renderer [much slower, but helps determining if this a GPU/driver issue or something in blender code...]

Okay. I will do that and try it out tomorrow when I'm back in the office.
By the way on this machine:
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: Intel(R) HD Graphics 4000 Intel 4.0.0 - Build 10.18.10.4358
the file works perfectly fine...

@Clément Foucault (fclem) It works fine if I'm using the OpenGL render dll.

@Clément Foucault (fclem) It works fine again with version: 2.81 (sub 3), branch: master, commit date: 2019-08-24 15:59, hash: rB6bb2912704ba
Thanks for fixing the problem :-)

Clément Foucault (fclem) closed this task as Resolved.Aug 26 2019, 4:40 PM
Clément Foucault (fclem) claimed this task.

Not sure what fixed it but lets close this ticket then.